> For the complete documentation index, see [llms.txt](https://docs.datasaur.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasaur.ai/integrations/robosaur/commands/generate-time-per-task-report.md).

# Generate Time Per Task Report

This command generates a time-per-task report that shows the task duration for each labeler. The report can help you:

* Monitor labeling productivity and efficiency.
* Identify bottlenecks in the labeling workflow.
* Track task completion time across labelers.

The command syntax is shown below.

## How it works

{% code overflow="wrap" %}

```sh
$ npm run start -- generate-tpt-report -h

Usage: robosaur generate-tpt-report [options] <teamId> <configFile>

generate timestamp Time Per Task report for a specific team with maximum 7 days period

Options:
  -s, --startDate <value>  Start date in ISO 8601 format
  -e, --endDate <value>    End date in ISO 8601 format
  -o, --outDir <value>     Path to a directory where the output will be written
  -a, --all                Generate all-time Time Per Task report (default: false)
  -h, --help               Display help for command
```

{% endcode %}

Example:

```
npm run start -- generate-tpt-report 1 ./config.json -s 2023-04-01 -o ./reports/
```

It will generate report for team ID 1 from Apr 1, 2023 and put it on the reports directory.

#### Team ID

You can find the team ID from the app URL. If the URL is `https://app.datasaur.ai/teams/1/projects`, then the team ID is `1`.

#### Configuration file

Like other Robosaur commands, this command requires a configuration file. For this command, the configuration only needs the `datasaur` attribute, which contains the OAuth credentials used to authenticate requests.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.datasaur.ai/integrations/robosaur/commands/generate-time-per-task-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
